April 25, 2024
Apple bloquea el downgreade de 3GS  iTunes 9 es seguro, 3.1GM vulnerable

Apple bloquea el downgreade de 3GS iTunes 9 es seguro, 3.1GM vulnerable

Posted September 10, 2009 at 10:16am by iClarified
EnglishSpanish
Desde el lanzamiento de iTunes 9 y el sistema operativo 3.1 para iPhone de ayer los desarrolladores estuvieron ocupados analizando el software para encontrar posibles cambios.

Así están las cosas por lo pronto...

- MuscleNerd confirmó que es seguro hacer el update a iTunes 9 para aquellos que ya hicieron el jailbroke y el unlocked.


- saurik notó que Apple bloqueo el downgrade a la versión 3.0 para usuarios de iPhone 3GS. Esto quiere decir que ya no pude firmar hashes para los usuarios. Los usuarios que hayan salvador su información ECID SHSH tendrán que esperar a que alguien desarrolle algo para cha información. En un futuro postearemos más información. Mientras tanto podría interesarles chequear estos (Windows, Mac) tutoriales.

- chronicdev confirmo que el iPhone 3.1GM todavía es vulnerable

-el nuevo firmware incluye una actualización de baseband que hace perder el unlock a menos que tengan un iPhone 2G o un iPhone 3G con el bootloader 5.8 . Si tienen el bootloader 5.8 estén al tanto que no hay herramientas disponibles para el downgrade de baseband todavía.

- No deberían actualizar a la versión 3.1 si tienen el teléfono jailbroken o quieran jailbreakearlo en el futuro cercano. ¡Esperen!


Apple bloquea el downgreade de 3GS  iTunes 9 es seguro, 3.1GM vulnerable
Add Comment
Would you like to be notified when someone replies or adds a new comment?
Yes (All Threads)
Yes (This Thread Only)
No
iClarified Icon
Notifications
Would you like to be notified when we post a new Apple news article or tutorial?
Yes
No
Comments (47)
You must login or register to add a comment...
GP
GP - September 16, 2009 at 10:52pm
IPHONE CONFIGURATION UTILITY VERSION 2.1 My main concern is, I have a jailbroken 3G S should I have installed it? What effects will this have on my iPhone being that it is jailbroken? I also have iTunes 9 as long as I don't do any 3.1 update to my phone I should be ok, right. thank you..
GP
GP - September 16, 2009 at 10:21pm
i have a J/Unlocked iPhone 3gs with3.01. i downloaded iTune 9 and it is working fine: QUESTION: can I download and install the " iPhone Configuration Utility Version 2.1" or will it cause problems with my Jailbreak and Unlocked iPhone.
danikno1
danikno1 - September 13, 2009 at 1:25pm
I have a 3gs on 3.0 FW and I successfully JB'd & unlocked. After JB'g, I wasn't aware I needed to reset the phone before adding other cydia applications. My phone started crashing, but I was able to get it to come back up once. Since then I can't get it to boot up properly. It just keeps displaying the apple logo and the screen goes black. I've tried to run redsnow, but keep ending with an error message toward the end about an incorrect block count for file data_a rk.plist (it should be 1 insteas of 0) Invalid index key (4, 1) ** Rebuilding Catalog B-tree. disk0s2s1: alignment error. ** The volume Data could not be repaired . Mounting rootfs as read-write... Mounting devfs... Mounting disk0s2s1... ERROR! It stops at this point and staying at the program screen and does nothing further. Please Help. I have not updated through I tunes because I don't want to increase the baseband. My phone is not operable. Please assist???
hp
hp - September 23, 2009 at 6:10am
hey, got the same probleme, do you have a solution for that? thanks a lot!!
Derk
Derk - September 28, 2009 at 2:37pm
Same problem.....need a solution!
iphone newb
iphone newb - October 7, 2009 at 3:08am
i'm having the same exact problem. if anyone know how to fix this please let me know. my phone is just sitting on the table collecting sut
dt
dt - September 13, 2009 at 6:05am
You bought the phone. You knew they would be upgrading it. man up or sell the phone.
Lez
Lez - September 12, 2009 at 3:05am
After jailbreak, doea iphone 3gs retains features like voice contrl, compass , video editing?
jorgealina
jorgealina - September 12, 2009 at 12:55am
i have a shop and i unlock alot of iphones but toady i got like 5 iphones that people updated it to 3.1 and wanted to unlock it.......i know i read it right that its not possible now but is there something going to be there in the future or ????????????/ thank you later ....jorge
jorgealina
jorgealina - September 13, 2009 at 12:41pm
wow does it look like i care what u said....i still make money off it anyways so i guess ill be the winner regardless of what u say or do
zé
- September 11, 2009 at 5:04am
I have a 3g.
p..e
p..e - September 11, 2009 at 5:05am
If you don't have the original sim card the iphone will not be recognised by itunes. It seems you are waiting on hacktivation, which will come on stream IF and WHEN DevTeam find the necessary exploits for the jailbreak and unlock. If you don't have the original simcard your goosed, you wont even be able to use it as an ipod. Lesson learned here folks, always better to wait until your told to update like with all updates to iTunes and the iPhone
p..e
p..e - September 11, 2009 at 5:10am
I presumed you were 3GS, you have a much better chance of getting your jailbreak back but your bootloader has been updated so there is nowhere to go for now. Wait on news from the Dev's, they will either exploit the new bootloader or enable some way of downgrading the bootloader. Either way you have nowhere to go for now but you must have faith!
zé
- September 11, 2009 at 5:13am
Thanks for the support.Im on an Iphone 3 G.
Zeljko
Zeljko - September 11, 2009 at 7:51pm
I have name 4 this kind of People TRIGGER FINGER
marbie
marbie - September 11, 2009 at 3:46am
whew, i just hope iphonedev team will finally solve the problem, anyway, i am planning to buy Iphone 3G , probably it will be an at&t prepaid kit, and will jailbreak/unlock it. Does iphone 3g also affected by the recent problem faced by iphone 3gs users?
Liz
Liz - September 11, 2009 at 3:43am
I want a straight answer. Here's my dillemma. I am worried that even if I will be using Itunes 8.2 version and OS 3.0 and the appropriate redsnow program and ipsw, the Iphone 3Gsthat I am planning to buy by October will not be jailbreakable/unlockable? Am I getting the right infos? Pls someone help me.
p..e
p..e - September 11, 2009 at 3:57am
There is no straight answer, maybe things will become clearer by the time October comes. If you can, buy the phone today as it will not be factory 3.1 and you will have a better chance of a jailbreak and unlock.
Zeljko
Zeljko - September 11, 2009 at 5:59am
That was a good answer.
jorgealina
jorgealina - September 12, 2009 at 12:52am
you can jailbreak and unlock it
liquidator
liquidator - September 13, 2009 at 11:28am
so , pe, your'e saying that I can buy an 3gs today (9-13-09) and still be able to jailbreak and unlock without a problem (hopefully)?
Allen
Allen - September 11, 2009 at 12:35am
Unfortunately because now that iTunes checks in with Apple everytime a restore is performed, the tutorial to obtain the iBEC file is now useless :-(. I have tried on several machines with several versions of iTunes, and no success. I am still on OS 3.0.1 and have not yet upgraded to 3.1. If anyone knows how to get the iBEC still, I'd love to know! Thanks :-)
sss
sss - September 11, 2009 at 1:14am
If any one not care about wheter your phone be jailbreak/unlock. easiest way to upgrade your 3GS using Itune 8 restore your firmware 3.0.1 (do not jailbreak). then upgrade your your itune 9. then last step just update your iphone firmware to 3.1. I have done this on my and it work just fine.
Allen
Allen - September 11, 2009 at 1:21am
The problem is that for me, iTunes 8 (even when running on Leopard 10.5) also checks Apple's server to make sure that it's the latest version of the iPhone OS that wants to be restored. For instance, if I disconnect from internet and try to restore, it won't restore. It gives me an error until I reconnect to the web. Does that not happen to you?
p..e
p..e - September 11, 2009 at 6:10am
This is precisely why everybody was told 100's of times to get the files months ago, if you didn't then you have no one else to blame but yourself. Sit tight, with a bit of luck the devs will figure it out. What is the big panic to go to 3.1 people, it's features are not worth jeopardizing your phone functioning as it has done for months now. SIT TIGHT
Allen
Allen - September 11, 2009 at 11:46am
Noone is blaming anyone (at least I'm not). It's cool, these guys ALWAYS find a way, which is so incredible to me. I think I'm still having a hard time understanding exactly what these 2 files do, or are for. There are so many tutorials on getting them, but I don't understand how they'll help in a situation like this. I think what someone should figure out is how to route the iTunes s/w verification service to a DB which Saurik or someone else can create. That way, he can tell the service "ok, 3.0.1 is the latest s/w" and that's it, no problems. I know it's not as simple as that, but it's an idea.
peter
peter - September 10, 2009 at 10:28pm
ok i just update my iphone 3g with the 3.0.1 firmware from apple. I know i shouldnt do this.Now it means that i cannot jailbreack my iphone anymore and i need to wait for a new release???? thanks
Jay
Jay - September 10, 2009 at 12:42pm
Upgraded to iTunes 9.... Apparently you can not organize your Apps if its Jailbroken?
Erik
Erik - September 10, 2009 at 1:43pm
To reorganize your apps from iTunes you'll need the 3.1 on the iPhone as well as iTunes 9..
Elise
Elise - September 10, 2009 at 11:33am
Wait, wait,wait... If I purchase an Iphone now, I will not be able to jailbreak/unlock it even in 3.0? I was about to buy but then I was alarmed lately by numerous complains. If history would be the indication, iphone dev have always made workaround. but this time, aee we saying we are confident we can still jailbreak iphone 3gs?
berkekibris
berkekibris - September 10, 2009 at 12:17pm
We are confident in the dev team for a jailbreak because: 1. IN DEV TEAM WE MUST BELIEVE!!! 2. They already confirmed the vulnerability, now they just need to get it signed.
elise
elise - September 10, 2009 at 8:18pm
Thanks, berkekibris, you certainly gave me reason to hope..I am going to buy an iphone and jailbreak it!
black
black - September 10, 2009 at 11:07am
i have an iphone 3G running 3.0, is it safe to update to 3.1 and still do a jailbreak and unlock?
Fadil
Fadil - September 10, 2009 at 11:54am
NO, NO, NO....
P..e
P..e - September 10, 2009 at 12:14pm
READ THE POST FOR GOD SAKE
Jay
Jay - September 10, 2009 at 12:20pm
READ THE ARTICLE PEOPLE!
Jimmy
Jimmy - September 10, 2009 at 4:58pm
this post is for people like you but then you still don't read it!
RMJEEVES
RMJEEVES - September 10, 2009 at 6:44pm
Not sure why people keep asking the same question when the asnwer is all over the internet......WAIT!!!
Gustav
Gustav - September 10, 2009 at 11:04am
I have an iPhone 2G with 3.0. Is it safe to update to 3.1? I don't need jailbreak. Will be still unlocked?
berkekibris
berkekibris - September 10, 2009 at 12:15pm
NO NO NO!!!!! Read the last part of the topic!!! It is NOT safe yet!
vanimox
vanimox - September 10, 2009 at 9:24pm
YES! The 2G is OK to upgrade and you'll still have the unlock, its only the 3G & 3GS that have to wait, once the 2G is unlocked it can't be undone, but you might want to wait because there might be some unoffical activation issues...
Jason
Jason - September 10, 2009 at 11:00am
That is correct if you update to iTunes 9 it will not allow you to downgrade your firmware manually. I would just wait for dev team to release update. Im sure it will be up within a few days. They verified the jailbreak vulnerability is there, they just need to figure out the baseband issues.
Allen
Allen - September 11, 2009 at 12:36am
Any version of iTunes (including) 8.2 now "phones home" to ensure the s/w we are installing is the latest. Apple updated that as well. I have tried with 8.1.1 through iTunes 9 to restore to 3.0.1 (from 3.0.1) and it would not let me. Kept telling me something to effect of "there is a newer package available".
Jay
Jay - September 10, 2009 at 10:37am
So those that mean that I can't do a restore of my 3GS that is still on 3.0( but giving me issues), to 3.0? If so then that really sucks ass. I am seriously contemplating updating to 3.1 but don't think I can bare with loosing my apps.
DistortedLoop
DistortedLoop - September 10, 2009 at 10:42am
Yes, that's exactly what it means *IF* you have a 3GS. Apple will not sign the firmware for anything other than 3.1 now. Signing is required to successfully install the firmware to a point that you can then jailbreak it. According to BiG Boss' Web site, 3G and earlier are not impacted.
IJunkie
IJunkie - September 10, 2009 at 2:57pm
Wouldn't this be a lateral type thing. It truely is not a downgrade, just keeping the same firmware. So is using Itunes 8 and restoring to the same firmware 3.0 that is on your 3gs also considered a downgrade? Does this mean anything other than using firmware 3.1 will be considered a downgrade? Thanks
TheDon
TheDon - September 11, 2009 at 7:32pm
Correct. Even installing the same firmware is considered a downgrade. Just tried jailbreaking my 3gs and it will not sign the firmware.
Recent. Read the latest Apple News.
RECENT
Tutorials. Help is here.
TUTORIALS
Where to Download macOS Monterey
Where to Download macOS Ventura
AppleTV Firmware Download Locations
Where To Download iPad Firmware Files From
Where To Download iPhone Firmware Files From
Deals. Save on Apple devices and accessories.
DEALS